Listar chamadas
curl --request GET \
--url https://app.mayahub.ai/api/user/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mayahub.ai/api/user/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mayahub.ai/api/user/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from Autocalls. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://recordings.mayahub.ai/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://app.mayahub.ai/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://app.mayahub.ai/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.mayahub.ai/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://app.mayahub.ai/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://app.mayahub.ai/api/user/calls?page=2",
"path": "https://app.mayahub.ai/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
Chamadas
Listar chamadas
Listar todas as chamadas do usuário autenticado com opções de filtragem
GET
/
user
/
calls
Listar chamadas
Este endpoint permite listar todas as chamadas pertencentes ao usuário autenticado com várias opções de filtragem.
Parâmetros de consulta
string
Filtrar chamadas por status. Valores possíveis:
initiated, ringing, busy, in-progress, ended, completed, ended_by_customer, ended_by_assistant, no-answer, failedstring
Filtrar chamadas por tipo. Valores possíveis::
inbound, outbound, webstring
Filtrar chamadas pelo número de telefone do cliente
integer
Filtrar chamadas pelo ID do assistente
integer
Filtrar chamadas pelo ID da campanha
string
Filtrar chamadas a partir desta data (formato YYYY-MM-DD)
string
Filtrar chamadas até esta data (formato YYYY-MM-DD)
integer
Número de chamadas por página (1-100, padrão: 15)
integer
Número da página (padrão: 1)
Campos da resposta
array
Show Propriedades
Show Propriedades
integer
O identificador único da chamada
string
O nome do assistente que realizou a chamada
string
O nome da campanha à qual esta chamada pertence (se aplicável)
string
O tipo da chamada (
inbound, outbound, or web)integer
A duração da chamada em segundos
string
O número de telefone usado pelo assistente
string
O número de telefone do cliente
string
O status atual da chamada
string
A transcrição da conversa da chamada
object
Variáveis coletadas durante a chamada
object
Dados de avaliação do desempenho da chamada
object
Resposta de quaisquer webhooks configurados
number
O custo cobrado pela operadora por esta chamada
number
O custo total da chamada, incluindo todas as taxas
string
Quem atendeu a chamada (
human, machine, or unknown)string
URL da gravação da chamada (se disponível e habilitada)
string
A data e hora em que a chamada foi criada
string
A data e hora da última atualização da chamada
integer
O número da página atual
integer
Número de itens por página
integer
Número total de chamadas que correspondem aos critérios
integer
O número da última página
{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from Autocalls. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://recordings.mayahub.ai/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://app.mayahub.ai/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://app.mayahub.ai/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://app.mayahub.ai/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://app.mayahub.ai/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://app.mayahub.ai/api/user/calls?page=2",
"path": "https://app.mayahub.ai/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
⌘I

